# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYPI_NO_NORMALIZE=1
PYTHON_COMPAT=( python3_{9..13} )

inherit distutils-r1 pypi

DESCRIPTION="Git-like branching functionality for NetBox."
HOMEPAGE="https://github.com/netboxlabs/netbox-branching"

LICENSE="PolyForm-Shield-License-1.0.0"
SLOT="0"
KEYWORDS="amd64"

RDEPEND="
	www-apps/netbox[${PYTHON_USEDEP}]
"

S=${WORKDIR}/netboxlabs_netbox_branching-${PV}
